com.rs.xbrl

## Class TaxonomyBuilderUtils

- java.lang.Object
- - com.rs.xbrl.TaxonomyBuilderUtils

-     public class TaxonomyBuilderUtils
      extends java.lang.Object

  The Class TaxonomyBuilderUtils.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyBuilderUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenericLinkbase` | `createGenericLinkbase(GenerationContext gc, java.lang.String role)` Creates the generic linkbase.
    `static XBRLRoleType` | `getRole(java.lang.String role, GenerationContext gc)` Access to all roles defined in the DTS and returns one by role text.
    `static java.net.URI` | `getURIatPoint(ExcelSheetPoint sp, org.apache.poi.ss.usermodel.Workbook wb)` Obtains the URI at the cell indicated in parameter sp.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyBuilderUtils

          public TaxonomyBuilderUtils()

  - ### Method Detail

    - #### getURIatPoint

          public static java.net.URI getURIatPoint(ExcelSheetPoint sp,
                                   org.apache.poi.ss.usermodel.Workbook wb)
                                            throws SheetPointAccessException

      Obtains the URI at the cell indicated in parameter sp. If the cell content is a reference to another cell, the reference is resolved and the referenced cell content is returned. If there is no content on the first cell, a SheetPointAccessException is raised. If the content is not a URI another SheetPointAccessException is raised.
      Parameters:
        `sp` - the sp
        `wb` - the wb
      Returns:
        the UR iat point
      Throws:
        `SheetPointAccessException` - the sheet point access exception

    - #### createGenericLinkbase

          public static GenericLinkbase createGenericLinkbase(GenerationContext gc,
                                              java.lang.String role)

      Creates the generic linkbase.
      Parameters:
        `gc` - the gc
        `role` - the role
      Returns:
        the generic linkbase

    - #### getRole

          public static XBRLRoleType getRole(java.lang.String role,
                             GenerationContext gc)

      Access to all roles defined in the DTS and returns one by role text. Generates warnings if no role type exists or more than one role type exists for the same role text
      Parameters:
        `role` - the role URI as text string
        `gc` - generation context
      Returns:
        the role type from the role URI received as text in the role parameter or null if the role is not found